## org.apache.taglibs.standard.lang.jstl
Class BooleanLiteral

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Expression
          org.apache.taglibs.standard.lang.jstl.Literal
              org.apache.taglibs.standard.lang.jstl.BooleanLiteral

    public class BooleanLiteral

extends Literal

An expression representing a boolean literal value

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Field Summary
`static BooleanLiteral` `FALSE`
`static BooleanLiteral` `TRUE`

Constructor Summary
`BooleanLiteral(String pToken)` Constructor

Method Summary
`String` `getExpressionString()` Returns the expression in the expression language syntax

Methods inherited from class org.apache.taglibs.standard.lang.jstl.Literal
`evaluate, getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRUE

    public static final BooleanLiteral TRUE

### FALSE

    public static final BooleanLiteral FALSE

Constructor Detail

### BooleanLiteral

    public BooleanLiteral(String pToken)

  Constructor

Method Detail

### getExpressionString

    public String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.